Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr.config
Class EdrConfigDescriptor

    java.lang.Object
      com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
          com.bea.wlcp.wlng.api.edr.config.EdrConfigDescriptor

public class EdrConfigDescriptor
extends ConfigDescriptor

This class contains a description of a particular EDR.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `FIELD_DESCRIPTION`
`static String` | `FIELD_ID`

Fields inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`CUSTOM_ATTRIBUTE, CUSTOM_ATTRIBUTE_KEY, CUSTOM_ATTRIBUTE_VALUE, PART_DATA, PART_FILTER`

Constructor Summary
`EdrConfigDescriptor()`

Method Summary
`String` | `getDescription()` Returns the description of the EDR
`long` | `getIdentifier()` Returns the identifier of the EDR
`String` | `getIdentifierAsString()` Returns the identifier of the EDR as a string
`String` | `toString()`

Methods inherited from class com.bea.wlcp.wlng.api.edr.config.ConfigDescriptor
`addDataAttribute, addFilterAttribute, addSource, canBeCached, getDataAttribute, getFilterAttributes, getName, getPosition, getSources, isMatching, setDataAttributes, setName, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_DESCRIPTION

    public static final String FIELD_DESCRIPTION

See Also:
  Constant Field Values

### FIELD_ID

    public static final String FIELD_ID

See Also:
  Constant Field Values

Constructor Detail

### EdrConfigDescriptor

    public EdrConfigDescriptor()

Method Detail

### getDescription

    public String getDescription()

  Returns the description of the EDR

  Returns:
    The description of the EDR

### getIdentifier

    public long getIdentifier()

  Returns the identifier of the EDR

  Returns:
    The identifier of the EDR

### getIdentifierAsString

    public String getIdentifierAsString()

  Returns the identifier of the EDR as a string

  Returns:
    The identifier of the EDR as a string

### toString

    public String toString()

  Overrides:
    `toString` in class `ConfigDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD